default_blosum = {
    45: {'AA':  5.0, 'AR': -2.0, 'AN': -1.0, 'AD': -2.0, 'AC': -1.0, 'AQ': -1.0, 'AE': -1.0,
         'AG':  0.0, 'AH': -2.0, 'AI': -1.0, 'AL': -1.0, 'AK': -1.0, 'AM': -1.0, 'AF': -2.0,
         'AP': -1.0, 'AS':  1.0, 'AT':  0.0, 'AW': -2.0, 'AY': -2.0, 'AV':  0.0, 'AB': -1.0,
         'AJ': -1.0, 'AZ': -1.0, 'AX': -1.0, 'A*': -5.0, 'RA': -2.0, 'RR':  7.0, 'RN':  0.0,
         'RD': -1.0, 'RC': -3.0, 'RQ':  1.0, 'RE':  0.0, 'RG': -2.0, 'RH':  0.0, 'RI': -3.0,
         'RL': -2.0, 'RK':  3.0, 'RM': -1.0, 'RF': -2.0, 'RP': -2.0, 'RS': -1.0, 'RT': -1.0,
         'RW': -2.0, 'RY': -1.0, 'RV': -2.0, 'RB': -1.0, 'RJ': -3.0, 'RZ':  1.0, 'RX': -1.0,
         'R*': -5.0, 'NA': -1.0, 'NR':  0.0, 'NN':  6.0, 'ND':  2.0, 'NC': -2.0, 'NQ':  0.0,
         'NE':  0.0, 'NG':  0.0, 'NH':  1.0, 'NI': -2.0, 'NL': -3.0, 'NK':  0.0, 'NM': -2.0,
         'NF': -2.0, 'NP': -2.0, 'NS':  1.0, 'NT':  0.0, 'NW': -4.0, 'NY': -2.0, 'NV': -3.0,
         'NB':  5.0, 'NJ': -3.0, 'NZ':  0.0, 'NX': -1.0, 'N*': -5.0, 'DA': -2.0, 'DR': -1.0,
         'DN':  2.0, 'DD':  7.0, 'DC': -3.0, 'DQ':  0.0, 'DE':  2.0, 'DG': -1.0, 'DH':  0.0,
         'DI': -4.0, 'DL': -3.0, 'DK':  0.0, 'DM': -3.0, 'DF': -4.0, 'DP': -1.0, 'DS':  0.0,
         'DT': -1.0, 'DW': -4.0, 'DY': -2.0, 'DV': -3.0, 'DB':  6.0, 'DJ': -3.0, 'DZ':  1.0,
         'DX': -1.0, 'D*': -5.0, 'CA': -1.0, 'CR': -3.0, 'CN': -2.0, 'CD': -3.0, 'CC': 12.0,
         'CQ': -3.0, 'CE': -3.0, 'CG': -3.0, 'CH': -3.0, 'CI': -3.0, 'CL': -2.0, 'CK': -3.0,
         'CM': -2.0, 'CF': -2.0, 'CP': -4.0, 'CS': -1.0, 'CT': -1.0, 'CW': -5.0, 'CY': -3.0,
         'CV': -1.0, 'CB': -2.0, 'CJ': -2.0, 'CZ': -3.0, 'CX': -1.0, 'C*': -5.0, 'QA': -1.0,
         'QR':  1.0, 'QN':  0.0, 'QD':  0.0, 'QC': -3.0, 'QQ':  6.0, 'QE':  2.0, 'QG': -2.0,
         'QH':  1.0, 'QI': -2.0, 'QL': -2.0, 'QK':  1.0, 'QM':  0.0, 'QF': -4.0, 'QP': -1.0,
         'QS':  0.0, 'QT': -1.0, 'QW': -2.0, 'QY': -1.0, 'QV': -3.0, 'QB':  0.0, 'QJ': -2.0,
         'QZ':  4.0, 'QX': -1.0, 'Q*': -5.0, 'EA': -1.0, 'ER':  0.0, 'EN':  0.0, 'ED':  2.0,
         'EC': -3.0, 'EQ':  2.0, 'EE':  6.0, 'EG': -2.0, 'EH':  0.0, 'EI': -3.0, 'EL': -2.0,
         'EK':  1.0, 'EM': -2.0, 'EF': -3.0, 'EP':  0.0, 'ES':  0.0, 'ET': -1.0, 'EW': -3.0,
         'EY': -2.0, 'EV': -3.0, 'EB':  1.0, 'EJ': -3.0, 'EZ':  5.0, 'EX': -1.0, 'E*': -5.0,
         'GA':  0.0, 'GR': -2.0, 'GN':  0.0, 'GD': -1.0, 'GC': -3.0, 'GQ': -2.0, 'GE': -2.0,
         'GG':  7.0, 'GH': -2.0, 'GI': -4.0, 'GL': -3.0, 'GK': -2.0, 'GM': -2.0, 'GF': -3.0,
         'GP': -2.0, 'GS':  0.0, 'GT': -2.0, 'GW': -2.0, 'GY': -3.0, 'GV': -3.0, 'GB': -1.0,
         'GJ': -4.0, 'GZ': -2.0, 'GX': -1.0, 'G*': -5.0, 'HA': -2.0, 'HR':  0.0, 'HN':  1.0,
         'HD':  0.0, 'HC': -3.0, 'HQ':  1.0, 'HE':  0.0, 'HG': -2.0, 'HH': 10.0, 'HI': -3.0,
         'HL': -2.0, 'HK': -1.0, 'HM':  0.0, 'HF': -2.0, 'HP': -2.0, 'HS': -1.0, 'HT': -2.0,
         'HW': -3.0, 'HY':  2.0, 'HV': -3.0, 'HB':  0.0, 'HJ': -2.0, 'HZ':  0.0, 'HX': -1.0,
         'H*': -5.0, 'IA': -1.0, 'IR': -3.0, 'IN': -2.0, 'ID': -4.0, 'IC': -3.0, 'IQ': -2.0,
         'IE': -3.0, 'IG': -4.0, 'IH': -3.0, 'II':  5.0, 'IL':  2.0, 'IK': -3.0, 'IM':  2.0,
         'IF':  0.0, 'IP': -2.0, 'IS': -2.0, 'IT': -1.0, 'IW': -2.0, 'IY':  0.0, 'IV':  3.0,
         'IB': -3.0, 'IJ':  4.0, 'IZ': -3.0, 'IX': -1.0, 'I*': -5.0, 'LA': -1.0, 'LR': -2.0,
         'LN': -3.0, 'LD': -3.0, 'LC': -2.0, 'LQ': -2.0, 'LE': -2.0, 'LG': -3.0, 'LH': -2.0,
         'LI':  2.0, 'LL':  5.0, 'LK': -3.0, 'LM':  2.0, 'LF':  1.0, 'LP': -3.0, 'LS': -3.0,
         'LT': -1.0, 'LW': -2.0, 'LY':  0.0, 'LV':  1.0, 'LB': -3.0, 'LJ':  4.0, 'LZ': -2.0,
         'LX': -1.0, 'L*': -5.0, 'KA': -1.0, 'KR':  3.0, 'KN':  0.0, 'KD':  0.0, 'KC': -3.0,
         'KQ':  1.0, 'KE':  1.0, 'KG': -2.0, 'KH': -1.0, 'KI': -3.0, 'KL': -3.0, 'KK':  5.0,
         'KM': -1.0, 'KF': -3.0, 'KP': -1.0, 'KS': -1.0, 'KT': -1.0, 'KW': -2.0, 'KY': -1.0,
         'KV': -2.0, 'KB':  0.0, 'KJ': -3.0, 'KZ':  1.0, 'KX': -1.0, 'K*': -5.0, 'MA': -1.0,
         'MR': -1.0, 'MN': -2.0, 'MD': -3.0, 'MC': -2.0, 'MQ':  0.0, 'ME': -2.0, 'MG': -2.0,
         'MH':  0.0, 'MI':  2.0, 'ML':  2.0, 'MK': -1.0,
         'MM':  6.0, 'MF':  0.0, 'MP': -2.0, 'MS': -2.0, 'MT': -1.0, 'MW': -2.0, 'MY':  0.0,
         'MV':  1.0, 'MB': -2.0, 'MJ':  2.0, 'MZ': -1.0, 'MX': -1.0, 'M*': -5.0, 'FA': -2.0,
         'FR': -2.0, 'FN': -2.0, 'FD': -4.0, 'FC': -2.0, 'FQ': -4.0, 'FE': -3.0, 'FG': -3.0,
         'FH': -2.0, 'FI':  0.0, 'FL':  1.0, 'FK': -3.0, 'FM':  0.0, 'FF':  8.0, 'FP': -3.0,
         'FS': -2.0, 'FT': -1.0, 'FW':  1.0, 'FY':  3.0, 'FV':  0.0, 'FB': -3.0, 'FJ':  1.0,
         'FZ': -3.0, 'FX': -1.0, 'F*': -5.0, 'PA': -1.0, 'PR': -2.0, 'PN': -2.0, 'PD': -1.0,
         'PC': -4.0, 'PQ': -1.0, 'PE':  0.0, 'PG': -2.0, 'PH': -2.0, 'PI': -2.0, 'PL': -3.0,
         'PK': -1.0, 'PM': -2.0, 'PF': -3.0, 'PP':  9.0, 'PS': -1.0, 'PT': -1.0, 'PW': -3.0,
         'PY': -3.0, 'PV': -3.0, 'PB': -2.0, 'PJ': -3.0, 'PZ': -1.0, 'PX': -1.0, 'P*': -5.0,
         'SA':  1.0, 'SR': -1.0, 'SN':  1.0, 'SD':  0.0, 'SC': -1.0, 'SQ':  0.0, 'SE':  0.0,
         'SG':  0.0, 'SH': -1.0, 'SI': -2.0, 'SL': -3.0, 'SK': -1.0, 'SM': -2.0, 'SF': -2.0,
         'SP': -1.0, 'SS':  4.0, 'ST':  2.0, 'SW': -4.0, 'SY': -2.0, 'SV': -1.0, 'SB':  0.0,
         'SJ': -2.0, 'SZ':  0.0, 'SX': -1.0, 'S*': -5.0, 'TA':  0.0, 'TR': -1.0, 'TN':  0.0,
         'TD': -1.0, 'TC': -1.0, 'TQ': -1.0, 'TE': -1.0, 'TG': -2.0, 'TH': -2.0, 'TI': -1.0,
         'TL': -1.0, 'TK': -1.0, 'TM': -1.0, 'TF': -1.0, 'TP': -1.0, 'TS':  2.0, 'TT':  5.0,
         'TW': -3.0, 'TY': -1.0, 'TV':  0.0, 'TB':  0.0, 'TJ': -1.0, 'TZ': -1.0, 'TX': -1.0,
         'T*': -5.0, 'WA': -2.0, 'WR': -2.0, 'WN': -4.0, 'WD': -4.0, 'WC': -5.0, 'WQ': -2.0,
         'WE': -3.0, 'WG': -2.0, 'WH': -3.0, 'WI': -2.0, 'WL': -2.0, 'WK': -2.0, 'WM': -2.0,
         'WF':  1.0, 'WP': -3.0, 'WS': -4.0, 'WT': -3.0, 'WW': 15.0, 'WY':  3.0, 'WV': -3.0,
         'WB': -4.0, 'WJ': -2.0, 'WZ': -2.0, 'WX': -1.0, 'W*': -5.0, 'YA': -2.0, 'YR': -1.0,
         'YN': -2.0, 'YD': -2.0, 'YC': -3.0, 'YQ': -1.0, 'YE': -2.0, 'YG': -3.0, 'YH':  2.0,
         'YI':  0.0, 'YL':  0.0, 'YK': -1.0, 'YM':  0.0, 'YF':  3.0, 'YP': -3.0, 'YS': -2.0,
         'YT': -1.0, 'YW':  3.0, 'YY':  8.0, 'YV': -1.0, 'YB': -2.0, 'YJ':  0.0, 'YZ': -2.0,
         'YX': -1.0, 'Y*': -5.0, 'VA':  0.0, 'VR': -2.0, 'VN': -3.0, 'VD': -3.0, 'VC': -1.0,
         'VQ': -3.0, 'VE': -3.0, 'VG': -3.0, 'VH': -3.0, 'VI':  3.0, 'VL':  1.0, 'VK': -2.0,
         'VM':  1.0, 'VF':  0.0, 'VP': -3.0, 'VS': -1.0, 'VT':  0.0, 'VW': -3.0, 'VY': -1.0,
         'VV':  5.0, 'VB': -3.0, 'VJ':  2.0, 'VZ': -3.0, 'VX': -1.0, 'V*': -5.0, 'BA': -1.0,
         'BR': -1.0, 'BN':  5.0, 'BD':  6.0, 'BC': -2.0, 'BQ':  0.0, 'BE':  1.0, 'BG': -1.0,
         'BH':  0.0, 'BI': -3.0, 'BL': -3.0, 'BK':  0.0, 'BM': -2.0, 'BF': -3.0, 'BP': -2.0,
         'BS':  0.0, 'BT':  0.0, 'BW': -4.0, 'BY': -2.0, 'BV': -3.0, 'BB':  5.0, 'BJ': -3.0,
         'BZ':  1.0, 'BX': -1.0, 'B*': -5.0, 'JA': -1.0, 'JR': -3.0, 'JN': -3.0, 'JD': -3.0,
         'JC': -2.0, 'JQ': -2.0, 'JE': -3.0, 'JG': -4.0, 'JH': -2.0, 'JI':  4.0, 'JL':  4.0,
         'JK': -3.0, 'JM':  2.0, 'JF':  1.0, 'JP': -3.0, 'JS': -2.0, 'JT': -1.0, 'JW': -2.0,
         'JY':  0.0, 'JV':  2.0, 'JB': -3.0, 'JJ':  4.0, 'JZ': -2.0, 'JX': -1.0, 'J*': -5.0,
         'ZA': -1.0, 'ZR':  1.0, 'ZN':  0.0, 'ZD':  1.0, 'ZC': -3.0, 'ZQ':  4.0, 'ZE':  5.0,
         'ZG': -2.0, 'ZH':  0.0, 'ZI': -3.0, 'ZL': -2.0, 'ZK':  1.0, 'ZM': -1.0, 'ZF': -3.0,
         'ZP': -1.0, 'ZS':  0.0, 'ZT': -1.0, 'ZW': -2.0, 'ZY': -2.0, 'ZV': -3.0, 'ZB':  1.0,
         'ZJ': -2.0, 'ZZ':  5.0, 'ZX': -1.0, 'Z*': -5.0, 'XA': -1.0, 'XR': -1.0, 'XN': -1.0,
         'XD': -1.0, 'XC': -1.0, 'XQ': -1.0, 'XE': -1.0, 'XG': -1.0, 'XH': -1.0, 'XI': -1.0,
         'XL': -1.0, 'XK': -1.0, 'XM': -1.0, 'XF': -1.0, 'XP': -1.0, 'XS': -1.0, 'XT': -1.0,
         'XW': -1.0, 'XY': -1.0, 'XV': -1.0, 'XB': -1.0, 'XJ': -1.0, 'XZ': -1.0, 'XX': -1.0,
         'X*': -5.0, '*A': -5.0, '*R': -5.0, '*N': -5.0, '*D': -5.0, '*C': -5.0, '*Q': -5.0,
         '*E': -5.0, '*G': -5.0, '*H': -5.0, '*I': -5.0, '*L': -5.0, '*K': -5.0, '*M': -5.0,
         '*F': -5.0, '*P': -5.0, '*S': -5.0, '*T': -5.0, '*W': -5.0, '*Y': -5.0, '*V': -5.0,
         '*B': -5.0, '*J': -5.0, '*Z': -5.0, '*X': -5.0, '**':  1.0},
    50: {'AA':  5.0, 'AR': -2.0, 'AN': -1.0, 'AD': -2.0, 'AC': -1.0, 'AQ': -1.0, 'AE': -1.0,
         'AG':  0.0, 'AH': -2.0, 'AI': -1.0, 'AL': -2.0, 'AK': -1.0, 'AM': -1.0, 'AF': -3.0,
         'AP': -1.0, 'AS':  1.0, 'AT':  0.0, 'AW': -3.0, 'AY': -2.0, 'AV':  0.0, 'AB': -2.0,
         'AJ': -2.0, 'AZ': -1.0, 'AX': -1.0, 'A*': -5.0, 'RA': -2.0, 'RR':  7.0, 'RN': -1.0,
         'RD': -2.0, 'RC': -4.0, 'RQ':  1.0, 'RE':  0.0, 'RG': -3.0, 'RH':  0.0, 'RI': -4.0,
         'RL': -3.0, 'RK':  3.0, 'RM': -2.0, 'RF': -3.0, 'RP': -3.0, 'RS': -1.0, 'RT': -1.0,
         'RW': -3.0, 'RY': -1.0, 'RV': -3.0, 'RB': -1.0, 'RJ': -3.0, 'RZ':  0.0, 'RX': -1.0,
         'R*': -5.0, 'NA': -1.0, 'NR': -1.0, 'NN':  7.0, 'ND':  2.0, 'NC': -2.0, 'NQ':  0.0,
         'NE':  0.0, 'NG':  0.0, 'NH':  1.0, 'NI': -3.0, 'NL': -4.0, 'NK':  0.0, 'NM': -2.0,
         'NF': -4.0, 'NP': -2.0, 'NS':  1.0, 'NT':  0.0, 'NW': -4.0, 'NY': -2.0, 'NV': -3.0,
         'NB':  5.0, 'NJ': -4.0, 'NZ':  0.0, 'NX': -1.0, 'N*': -5.0, 'DA': -2.0, 'DR': -2.0,
         'DN':  2.0, 'DD':  8.0, 'DC': -4.0, 'DQ':  0.0, 'DE':  2.0, 'DG': -1.0, 'DH': -1.0,
         'DI': -4.0, 'DL': -4.0, 'DK': -1.0, 'DM': -4.0, 'DF': -5.0, 'DP': -1.0, 'DS':  0.0,
         'DT': -1.0, 'DW': -5.0, 'DY': -3.0, 'DV': -4.0, 'DB':  6.0, 'DJ': -4.0, 'DZ':  1.0,
         'DX': -1.0, 'D*': -5.0, 'CA': -1.0, 'CR': -4.0, 'CN': -2.0, 'CD': -4.0, 'CC': 13.0,
         'CQ': -3.0, 'CE': -3.0, 'CG': -3.0, 'CH': -3.0, 'CI': -2.0, 'CL': -2.0, 'CK': -3.0,
         'CM': -2.0, 'CF': -2.0, 'CP': -4.0, 'CS': -1.0, 'CT': -1.0, 'CW': -5.0, 'CY': -3.0,
         'CV': -1.0, 'CB': -3.0, 'CJ': -2.0, 'CZ': -3.0, 'CX': -1.0, 'C*': -5.0, 'QA': -1.0,
         'QR':  1.0, 'QN':  0.0, 'QD':  0.0, 'QC': -3.0, 'QQ':  7.0, 'QE':  2.0, 'QG': -2.0,
         'QH':  1.0, 'QI': -3.0, 'QL': -2.0, 'QK':  2.0, 'QM':  0.0, 'QF': -4.0, 'QP': -1.0,
         'QS':  0.0, 'QT': -1.0, 'QW': -1.0, 'QY': -1.0, 'QV': -3.0, 'QB':  0.0, 'QJ': -3.0,
         'QZ':  4.0, 'QX': -1.0, 'Q*': -5.0, 'EA': -1.0, 'ER':  0.0, 'EN':  0.0, 'ED':  2.0,
         'EC': -3.0, 'EQ':  2.0, 'EE':  6.0, 'EG': -3.0, 'EH':  0.0, 'EI': -4.0, 'EL': -3.0,
         'EK':  1.0, 'EM': -2.0, 'EF': -3.0, 'EP': -1.0, 'ES': -1.0, 'ET': -1.0, 'EW': -3.0,
         'EY': -2.0, 'EV': -3.0, 'EB':  1.0, 'EJ': -3.0, 'EZ':  5.0, 'EX': -1.0, 'E*': -5.0,
         'GA':  0.0, 'GR': -3.0, 'GN':  0.0, 'GD': -1.0, 'GC': -3.0, 'GQ': -2.0, 'GE': -3.0,
         'GG':  8.0, 'GH': -2.0, 'GI': -4.0, 'GL': -4.0, 'GK': -2.0, 'GM': -3.0, 'GF': -4.0,
         'GP': -2.0, 'GS':  0.0, 'GT': -2.0, 'GW': -3.0, 'GY': -3.0, 'GV': -4.0, 'GB': -1.0,
         'GJ': -4.0, 'GZ': -2.0, 'GX': -1.0, 'G*': -5.0, 'HA': -2.0, 'HR':  0.0, 'HN':  1.0,
         'HD': -1.0, 'HC': -3.0, 'HQ':  1.0, 'HE':  0.0, 'HG': -2.0, 'HH': 10.0, 'HI': -4.0,
         'HL': -3.0, 'HK':  0.0, 'HM': -1.0, 'HF': -1.0, 'HP': -2.0, 'HS': -1.0, 'HT': -2.0,
         'HW': -3.0, 'HY':  2.0, 'HV': -4.0, 'HB':  0.0, 'HJ': -3.0, 'HZ':  0.0, 'HX': -1.0,
         'H*': -5.0, 'IA': -1.0, 'IR': -4.0, 'IN': -3.0, 'ID': -4.0, 'IC': -2.0, 'IQ': -3.0,
         'IE': -4.0, 'IG': -4.0, 'IH': -4.0, 'II':  5.0, 'IL':  2.0, 'IK': -3.0, 'IM':  2.0,
         'IF':  0.0, 'IP': -3.0, 'IS': -3.0, 'IT': -1.0, 'IW': -3.0, 'IY': -1.0, 'IV':  4.0,
         'IB': -4.0, 'IJ':  4.0, 'IZ': -3.0, 'IX': -1.0, 'I*': -5.0, 'LA': -2.0, 'LR': -3.0,
         'LN': -4.0, 'LD': -4.0, 'LC': -2.0, 'LQ': -2.0, 'LE': -3.0, 'LG': -4.0, 'LH': -3.0,
         'LI':  2.0, 'LL':  5.0, 'LK': -3.0, 'LM':  3.0, 'LF':  1.0, 'LP': -4.0, 'LS': -3.0,
         'LT': -1.0, 'LW': -2.0, 'LY': -1.0, 'LV':  1.0, 'LB': -4.0, 'LJ':  4.0, 'LZ': -3.0,
         'LX': -1.0, 'L*': -5.0, 'KA': -1.0, 'KR':  3.0, 'KN':  0.0, 'KD': -1.0, 'KC': -3.0,
         'KQ':  2.0, 'KE':  1.0, 'KG': -2.0, 'KH':  0.0, 'KI': -3.0, 'KL': -3.0, 'KK':  6.0,
         'KM': -2.0, 'KF': -4.0, 'KP': -1.0, 'KS':  0.0, 'KT': -1.0, 'KW': -3.0, 'KY': -2.0,
         'KV': -3.0, 'KB':  0.0, 'KJ': -3.0, 'KZ':  1.0, 'KX': -1.0, 'K*': -5.0, 'MA': -1.0,
         'MR': -2.0, 'MN': -2.0, 'MD': -4.0, 'MC': -2.0, 'MQ':  0.0, 'ME': -2.0, 'MG': -3.0,
         'MH': -1.0, 'MI':  2.0, 'ML':  3.0, 'MK': -2.0,
         'MM':  7.0, 'MF':  0.0, 'MP': -3.0, 'MS': -2.0, 'MT': -1.0, 'MW': -1.0, 'MY':  0.0,
         'MV':  1.0, 'MB': -3.0, 'MJ':  2.0, 'MZ': -1.0, 'MX': -1.0, 'M*': -5.0, 'FA': -3.0,
         'FR': -3.0, 'FN': -4.0, 'FD': -5.0, 'FC': -2.0, 'FQ': -4.0, 'FE': -3.0, 'FG': -4.0,
         'FH': -1.0, 'FI':  0.0, 'FL':  1.0, 'FK': -4.0, 'FM':  0.0, 'FF':  8.0, 'FP': -4.0,
         'FS': -3.0, 'FT': -2.0, 'FW':  1.0, 'FY':  4.0, 'FV': -1.0, 'FB': -4.0, 'FJ':  1.0,
         'FZ': -4.0, 'FX': -1.0, 'F*': -5.0, 'PA': -1.0, 'PR': -3.0, 'PN': -2.0, 'PD': -1.0,
         'PC': -4.0, 'PQ': -1.0, 'PE': -1.0, 'PG': -2.0, 'PH': -2.0, 'PI': -3.0, 'PL': -4.0,
         'PK': -1.0, 'PM': -3.0, 'PF': -4.0, 'PP': 10.0, 'PS': -1.0, 'PT': -1.0, 'PW': -4.0,
         'PY': -3.0, 'PV': -3.0, 'PB': -2.0, 'PJ': -3.0, 'PZ': -1.0, 'PX': -1.0, 'P*': -5.0,
         'SA':  1.0, 'SR': -1.0, 'SN':  1.0, 'SD':  0.0, 'SC': -1.0, 'SQ':  0.0, 'SE': -1.0,
         'SG':  0.0, 'SH': -1.0, 'SI': -3.0, 'SL': -3.0, 'SK':  0.0, 'SM': -2.0, 'SF': -3.0,
         'SP': -1.0, 'SS':  5.0, 'ST':  2.0, 'SW': -4.0, 'SY': -2.0, 'SV': -2.0, 'SB':  0.0,
         'SJ': -3.0, 'SZ':  0.0, 'SX': -1.0, 'S*': -5.0, 'TA':  0.0, 'TR': -1.0, 'TN':  0.0,
         'TD': -1.0, 'TC': -1.0, 'TQ': -1.0, 'TE': -1.0, 'TG': -2.0, 'TH': -2.0, 'TI': -1.0,
         'TL': -1.0, 'TK': -1.0, 'TM': -1.0, 'TF': -2.0, 'TP': -1.0, 'TS':  2.0, 'TT':  5.0,
         'TW': -3.0, 'TY': -2.0, 'TV':  0.0, 'TB':  0.0, 'TJ': -1.0, 'TZ': -1.0, 'TX': -1.0,
         'T*': -5.0, 'WA': -3.0, 'WR': -3.0, 'WN': -4.0, 'WD': -5.0, 'WC': -5.0, 'WQ': -1.0,
         'WE': -3.0, 'WG': -3.0, 'WH': -3.0, 'WI': -3.0, 'WL': -2.0, 'WK': -3.0, 'WM': -1.0,
         'WF':  1.0, 'WP': -4.0, 'WS': -4.0, 'WT': -3.0, 'WW': 15.0, 'WY':  2.0, 'WV': -3.0,
         'WB': -5.0, 'WJ': -2.0, 'WZ': -2.0, 'WX': -1.0, 'W*': -5.0, 'YA': -2.0, 'YR': -1.0,
         'YN': -2.0, 'YD': -3.0, 'YC': -3.0, 'YQ': -1.0, 'YE': -2.0, 'YG': -3.0, 'YH':  2.0,
         'YI': -1.0, 'YL': -1.0, 'YK': -2.0, 'YM':  0.0, 'YF':  4.0, 'YP': -3.0, 'YS': -2.0,
         'YT': -2.0, 'YW':  2.0, 'YY':  8.0, 'YV': -1.0, 'YB': -3.0, 'YJ': -1.0, 'YZ': -2.0,
         'YX': -1.0, 'Y*': -5.0, 'VA':  0.0, 'VR': -3.0, 'VN': -3.0, 'VD': -4.0, 'VC': -1.0,
         'VQ': -3.0, 'VE': -3.0, 'VG': -4.0, 'VH': -4.0, 'VI':  4.0, 'VL':  1.0, 'VK': -3.0,
         'VM':  1.0, 'VF': -1.0, 'VP': -3.0, 'VS': -2.0, 'VT':  0.0, 'VW': -3.0, 'VY': -1.0,
         'VV':  5.0, 'VB': -3.0, 'VJ':  2.0, 'VZ': -3.0, 'VX': -1.0, 'V*': -5.0, 'BA': -2.0,
         'BR': -1.0, 'BN':  5.0, 'BD':  6.0, 'BC': -3.0, 'BQ':  0.0, 'BE':  1.0, 'BG': -1.0,
         'BH':  0.0, 'BI': -4.0, 'BL': -4.0, 'BK':  0.0, 'BM': -3.0, 'BF': -4.0, 'BP': -2.0,
         'BS':  0.0, 'BT':  0.0, 'BW': -5.0, 'BY': -3.0, 'BV': -3.0, 'BB':  6.0, 'BJ': -4.0,
         'BZ':  1.0, 'BX': -1.0, 'B*': -5.0, 'JA': -2.0, 'JR': -3.0, 'JN': -4.0, 'JD': -4.0,
         'JC': -2.0, 'JQ': -3.0, 'JE': -3.0, 'JG': -4.0, 'JH': -3.0, 'JI':  4.0, 'JL':  4.0,
         'JK': -3.0, 'JM':  2.0, 'JF':  1.0, 'JP': -3.0, 'JS': -3.0, 'JT': -1.0, 'JW': -2.0,
         'JY': -1.0, 'JV':  2.0, 'JB': -4.0, 'JJ':  4.0, 'JZ': -3.0, 'JX': -1.0, 'J*': -5.0,
         'ZA': -1.0, 'ZR':  0.0, 'ZN':  0.0, 'ZD':  1.0, 'ZC': -3.0, 'ZQ':  4.0, 'ZE':  5.0,
         'ZG': -2.0, 'ZH':  0.0, 'ZI': -3.0, 'ZL': -3.0, 'ZK':  1.0, 'ZM': -1.0, 'ZF': -4.0,
         'ZP': -1.0, 'ZS':  0.0, 'ZT': -1.0, 'ZW': -2.0, 'ZY': -2.0, 'ZV': -3.0, 'ZB':  1.0,
         'ZJ': -3.0, 'ZZ':  5.0, 'ZX': -1.0, 'Z*': -5.0, 'XA': -1.0, 'XR': -1.0, 'XN': -1.0,
         'XD': -1.0, 'XC': -1.0, 'XQ': -1.0, 'XE': -1.0, 'XG': -1.0, 'XH': -1.0, 'XI': -1.0,
         'XL': -1.0, 'XK': -1.0, 'XM': -1.0, 'XF': -1.0, 'XP': -1.0, 'XS': -1.0, 'XT': -1.0,
         'XW': -1.0, 'XY': -1.0, 'XV': -1.0, 'XB': -1.0, 'XJ': -1.0, 'XZ': -1.0, 'XX': -1.0,
         'X*': -5.0, '*A': -5.0, '*R': -5.0, '*N': -5.0, '*D': -5.0, '*C': -5.0, '*Q': -5.0,
         '*E': -5.0, '*G': -5.0, '*H': -5.0, '*I': -5.0, '*L': -5.0, '*K': -5.0, '*M': -5.0,
         '*F': -5.0, '*P': -5.0, '*S': -5.0, '*T': -5.0, '*W': -5.0, '*Y': -5.0, '*V': -5.0,
         '*B': -5.0, '*J': -5.0, '*Z': -5.0, '*X': -5.0, '**':  1.0},
    62: {'AA':  4.0, 'AR': -1.0, 'AN': -2.0, 'AD': -2.0, 'AC':  0.0, 'AQ': -1.0, 'AE': -1.0,
         'AG':  0.0, 'AH': -2.0, 'AI': -1.0, 'AL': -1.0, 'AK': -1.0, 'AM': -1.0, 'AF': -2.0,
         'AP': -1.0, 'AS':  1.0, 'AT':  0.0, 'AW': -3.0, 'AY': -2.0, 'AV':  0.0, 'AB': -2.0,
         'AJ': -1.0, 'AZ': -1.0, 'AX': -1.0, 'A*': -4.0, 'RA': -1.0, 'RR':  5.0, 'RN':  0.0,
         'RD': -2.0, 'RC': -3.0, 'RQ':  1.0, 'RE':  0.0, 'RG': -2.0, 'RH':  0.0, 'RI': -3.0,
         'RL': -2.0, 'RK':  2.0, 'RM': -1.0, 'RF': -3.0, 'RP': -2.0, 'RS': -1.0, 'RT': -1.0,
         'RW': -3.0, 'RY': -2.0, 'RV': -3.0, 'RB': -1.0, 'RJ': -2.0, 'RZ':  0.0, 'RX': -1.0,
         'R*': -4.0, 'NA': -2.0, 'NR':  0.0, 'NN':  6.0, 'ND':  1.0, 'NC': -3.0, 'NQ':  0.0,
         'NE':  0.0, 'NG':  0.0, 'NH':  1.0, 'NI': -3.0, 'NL': -3.0, 'NK':  0.0, 'NM': -2.0,
         'NF': -3.0, 'NP': -2.0, 'NS':  1.0, 'NT':  0.0, 'NW': -4.0, 'NY': -2.0, 'NV': -3.0,
         'NB':  4.0, 'NJ': -3.0, 'NZ':  0.0, 'NX': -1.0, 'N*': -4.0, 'DA': -2.0, 'DR': -2.0,
         'DN':  1.0, 'DD':  6.0, 'DC': -3.0, 'DQ':  0.0, 'DE':  2.0, 'DG': -1.0, 'DH': -1.0,
         'DI': -3.0, 'DL': -4.0, 'DK': -1.0, 'DM': -3.0, 'DF': -3.0, 'DP': -1.0, 'DS':  0.0,
         'DT': -1.0, 'DW': -4.0, 'DY': -3.0, 'DV': -3.0, 'DB':  4.0, 'DJ': -3.0, 'DZ':  1.0,
         'DX': -1.0, 'D*': -4.0, 'CA':  0.0, 'CR': -3.0, 'CN': -3.0, 'CD': -3.0, 'CC':  9.0,
         'CQ': -3.0, 'CE': -4.0, 'CG': -3.0, 'CH': -3.0, 'CI': -1.0, 'CL': -1.0, 'CK': -3.0,
         'CM': -1.0, 'CF': -2.0, 'CP': -3.0, 'CS': -1.0, 'CT': -1.0, 'CW': -2.0, 'CY': -2.0,
         'CV': -1.0, 'CB': -3.0, 'CJ': -1.0, 'CZ': -3.0, 'CX': -1.0, 'C*': -4.0, 'QA': -1.0,
         'QR':  1.0, 'QN':  0.0, 'QD':  0.0, 'QC': -3.0, 'QQ':  5.0, 'QE':  2.0, 'QG': -2.0,
         'QH':  0.0, 'QI': -3.0, 'QL': -2.0, 'QK':  1.0, 'QM':  0.0, 'QF': -3.0, 'QP': -1.0,
         'QS':  0.0, 'QT': -1.0, 'QW': -2.0, 'QY': -1.0, 'QV': -2.0, 'QB':  0.0, 'QJ': -2.0,
         'QZ':  4.0, 'QX': -1.0, 'Q*': -4.0, 'EA': -1.0, 'ER':  0.0, 'EN':  0.0, 'ED':  2.0,
         'EC': -4.0, 'EQ':  2.0, 'EE':  5.0, 'EG': -2.0, 'EH':  0.0, 'EI': -3.0, 'EL': -3.0,
         'EK':  1.0, 'EM': -2.0, 'EF': -3.0, 'EP': -1.0, 'ES':  0.0, 'ET': -1.0, 'EW': -3.0,
         'EY': -2.0, 'EV': -2.0, 'EB':  1.0, 'EJ': -3.0, 'EZ':  4.0, 'EX': -1.0, 'E*': -4.0,
         'GA':  0.0, 'GR': -2.0, 'GN':  0.0, 'GD': -1.0, 'GC': -3.0, 'GQ': -2.0, 'GE': -2.0,
         'GG':  6.0, 'GH': -2.0, 'GI': -4.0, 'GL': -4.0, 'GK': -2.0, 'GM': -3.0, 'GF': -3.0,
         'GP': -2.0, 'GS':  0.0, 'GT': -2.0, 'GW': -2.0, 'GY': -3.0, 'GV': -3.0, 'GB': -1.0,
         'GJ': -4.0, 'GZ': -2.0, 'GX': -1.0, 'G*': -4.0, 'HA': -2.0, 'HR':  0.0, 'HN':  1.0,
         'HD': -1.0, 'HC': -3.0, 'HQ':  0.0, 'HE':  0.0, 'HG': -2.0, 'HH':  8.0, 'HI': -3.0,
         'HL': -3.0, 'HK': -1.0, 'HM': -2.0, 'HF': -1.0, 'HP': -2.0, 'HS': -1.0, 'HT': -2.0,
         'HW': -2.0, 'HY':  2.0, 'HV': -3.0, 'HB':  0.0, 'HJ': -3.0, 'HZ':  0.0, 'HX': -1.0,
         'H*': -4.0, 'IA': -1.0, 'IR': -3.0, 'IN': -3.0, 'ID': -3.0, 'IC': -1.0, 'IQ': -3.0,
         'IE': -3.0, 'IG': -4.0, 'IH': -3.0, 'II':  4.0, 'IL':  2.0, 'IK': -3.0, 'IM':  1.0,
         'IF':  0.0, 'IP': -3.0, 'IS': -2.0, 'IT': -1.0, 'IW': -3.0, 'IY': -1.0, 'IV':  3.0,
         'IB': -3.0, 'IJ':  3.0, 'IZ': -3.0, 'IX': -1.0, 'I*': -4.0, 'LA': -1.0, 'LR': -2.0,
         'LN': -3.0, 'LD': -4.0, 'LC': -1.0, 'LQ': -2.0, 'LE': -3.0, 'LG': -4.0, 'LH': -3.0,
         'LI':  2.0, 'LL':  4.0, 'LK': -2.0, 'LM':  2.0, 'LF':  0.0, 'LP': -3.0, 'LS': -2.0,
         'LT': -1.0, 'LW': -2.0, 'LY': -1.0, 'LV':  1.0, 'LB': -4.0, 'LJ':  3.0, 'LZ': -3.0,
         'LX': -1.0, 'L*': -4.0, 'KA': -1.0, 'KR':  2.0, 'KN':  0.0, 'KD': -1.0, 'KC': -3.0,
         'KQ':  1.0, 'KE':  1.0, 'KG': -2.0, 'KH': -1.0, 'KI': -3.0, 'KL': -2.0, 'KK':  5.0,
         'KM': -1.0, 'KF': -3.0, 'KP': -1.0, 'KS':  0.0, 'KT': -1.0, 'KW': -3.0, 'KY': -2.0,
         'KV': -2.0, 'KB':  0.0, 'KJ': -3.0, 'KZ':  1.0, 'KX': -1.0, 'K*': -4.0, 'MA': -1.0,
         'MR': -1.0, 'MN': -2.0, 'MD': -3.0, 'MC': -1.0, 'MQ':  0.0, 'ME': -2.0, 'MG': -3.0,
         'MH': -2.0, 'MI':  1.0, 'ML':  2.0, 'MK': -1.0,
         'MM':  5.0, 'MF':  0.0, 'MP': -2.0, 'MS': -1.0, 'MT': -1.0, 'MW': -1.0, 'MY': -1.0,
         'MV':  1.0, 'MB': -3.0, 'MJ':  2.0, 'MZ': -1.0, 'MX': -1.0, 'M*': -4.0, 'FA': -2.0,
         'FR': -3.0, 'FN': -3.0, 'FD': -3.0, 'FC': -2.0, 'FQ': -3.0, 'FE': -3.0, 'FG': -3.0,
         'FH': -1.0, 'FI':  0.0, 'FL':  0.0, 'FK': -3.0, 'FM':  0.0, 'FF':  6.0, 'FP': -4.0,
         'FS': -2.0, 'FT': -2.0, 'FW':  1.0, 'FY':  3.0, 'FV': -1.0, 'FB': -3.0, 'FJ':  0.0,
         'FZ': -3.0, 'FX': -1.0, 'F*': -4.0, 'PA': -1.0, 'PR': -2.0, 'PN': -2.0, 'PD': -1.0,
         'PC': -3.0, 'PQ': -1.0, 'PE': -1.0, 'PG': -2.0, 'PH': -2.0, 'PI': -3.0, 'PL': -3.0,
         'PK': -1.0, 'PM': -2.0, 'PF': -4.0, 'PP':  7.0, 'PS': -1.0, 'PT': -1.0, 'PW': -4.0,
         'PY': -3.0, 'PV': -2.0, 'PB': -2.0, 'PJ': -3.0, 'PZ': -1.0, 'PX': -1.0, 'P*': -4.0,
         'SA':  1.0, 'SR': -1.0, 'SN':  1.0, 'SD':  0.0, 'SC': -1.0, 'SQ':  0.0, 'SE':  0.0,
         'SG':  0.0, 'SH': -1.0, 'SI': -2.0, 'SL': -2.0, 'SK':  0.0, 'SM': -1.0, 'SF': -2.0,
         'SP': -1.0, 'SS':  4.0, 'ST':  1.0, 'SW': -3.0, 'SY': -2.0, 'SV': -2.0, 'SB':  0.0,
         'SJ': -2.0, 'SZ':  0.0, 'SX': -1.0, 'S*': -4.0, 'TA':  0.0, 'TR': -1.0, 'TN':  0.0,
         'TD': -1.0, 'TC': -1.0, 'TQ': -1.0, 'TE': -1.0, 'TG': -2.0, 'TH': -2.0, 'TI': -1.0,
         'TL': -1.0, 'TK': -1.0, 'TM': -1.0, 'TF': -2.0, 'TP': -1.0, 'TS':  1.0, 'TT':  5.0,
         'TW': -2.0, 'TY': -2.0, 'TV':  0.0, 'TB': -1.0, 'TJ': -1.0, 'TZ': -1.0, 'TX': -1.0,
         'T*': -4.0, 'WA': -3.0, 'WR': -3.0, 'WN': -4.0, 'WD': -4.0, 'WC': -2.0, 'WQ': -2.0,
         'WE': -3.0, 'WG': -2.0, 'WH': -2.0, 'WI': -3.0, 'WL': -2.0, 'WK': -3.0, 'WM': -1.0,
         'WF':  1.0, 'WP': -4.0, 'WS': -3.0, 'WT': -2.0, 'WW': 11.0, 'WY':  2.0, 'WV': -3.0,
         'WB': -4.0, 'WJ': -2.0, 'WZ': -2.0, 'WX': -1.0, 'W*': -4.0, 'YA': -2.0, 'YR': -2.0,
         'YN': -2.0, 'YD': -3.0, 'YC': -2.0, 'YQ': -1.0, 'YE': -2.0, 'YG': -3.0, 'YH':  2.0,
         'YI': -1.0, 'YL': -1.0, 'YK': -2.0, 'YM': -1.0, 'YF':  3.0, 'YP': -3.0, 'YS': -2.0,
         'YT': -2.0, 'YW':  2.0, 'YY':  7.0, 'YV': -1.0, 'YB': -3.0, 'YJ': -1.0, 'YZ': -2.0,
         'YX': -1.0, 'Y*': -4.0, 'VA':  0.0, 'VR': -3.0, 'VN': -3.0, 'VD': -3.0, 'VC': -1.0,
         'VQ': -2.0, 'VE': -2.0, 'VG': -3.0, 'VH': -3.0, 'VI':  3.0, 'VL':  1.0, 'VK': -2.0,
         'VM':  1.0, 'VF': -1.0, 'VP': -2.0, 'VS': -2.0, 'VT':  0.0, 'VW': -3.0, 'VY': -1.0,
         'VV':  4.0, 'VB': -3.0, 'VJ':  2.0, 'VZ': -2.0, 'VX': -1.0, 'V*': -4.0, 'BA': -2.0,
         'BR': -1.0, 'BN':  4.0, 'BD':  4.0, 'BC': -3.0, 'BQ':  0.0, 'BE':  1.0, 'BG': -1.0,
         'BH':  0.0, 'BI': -3.0, 'BL': -4.0, 'BK':  0.0, 'BM': -3.0, 'BF': -3.0, 'BP': -2.0,
         'BS':  0.0, 'BT': -1.0, 'BW': -4.0, 'BY': -3.0, 'BV': -3.0, 'BB':  4.0, 'BJ': -3.0,
         'BZ':  0.0, 'BX': -1.0, 'B*': -4.0, 'JA': -1.0, 'JR': -2.0, 'JN': -3.0, 'JD': -3.0,
         'JC': -1.0, 'JQ': -2.0, 'JE': -3.0, 'JG': -4.0, 'JH': -3.0, 'JI':  3.0, 'JL':  3.0,
         'JK': -3.0, 'JM':  2.0, 'JF':  0.0, 'JP': -3.0, 'JS': -2.0, 'JT': -1.0, 'JW': -2.0,
         'JY': -1.0, 'JV':  2.0, 'JB': -3.0, 'JJ':  3.0, 'JZ': -3.0, 'JX': -1.0, 'J*': -4.0,
         'ZA': -1.0, 'ZR':  0.0, 'ZN':  0.0, 'ZD':  1.0, 'ZC': -3.0, 'ZQ':  4.0, 'ZE':  4.0,
         'ZG': -2.0, 'ZH':  0.0, 'ZI': -3.0, 'ZL': -3.0, 'ZK':  1.0, 'ZM': -1.0, 'ZF': -3.0,
         'ZP': -1.0, 'ZS':  0.0, 'ZT': -1.0, 'ZW': -2.0, 'ZY': -2.0, 'ZV': -2.0, 'ZB':  0.0,
         'ZJ': -3.0, 'ZZ':  4.0, 'ZX': -1.0, 'Z*': -4.0, 'XA': -1.0, 'XR': -1.0, 'XN': -1.0,
         'XD': -1.0, 'XC': -1.0, 'XQ': -1.0, 'XE': -1.0, 'XG': -1.0, 'XH': -1.0, 'XI': -1.0,
         'XL': -1.0, 'XK': -1.0, 'XM': -1.0, 'XF': -1.0, 'XP': -1.0, 'XS': -1.0, 'XT': -1.0,
         'XW': -1.0, 'XY': -1.0, 'XV': -1.0, 'XB': -1.0, 'XJ': -1.0, 'XZ': -1.0, 'XX': -1.0,
         'X*': -4.0, '*A': -4.0, '*R': -4.0, '*N': -4.0, '*D': -4.0, '*C': -4.0, '*Q': -4.0,
         '*E': -4.0, '*G': -4.0, '*H': -4.0, '*I': -4.0, '*L': -4.0, '*K': -4.0, '*M': -4.0,
         '*F': -4.0, '*P': -4.0, '*S': -4.0, '*T': -4.0, '*W': -4.0, '*Y': -4.0, '*V': -4.0,
         '*B': -4.0, '*J': -4.0, '*Z': -4.0, '*X': -4.0, '**':  1.0},
    80: {'AA':  5.0, 'AR': -2.0, 'AN': -2.0, 'AD': -2.0, 'AC': -1.0, 'AQ': -1.0, 'AE': -1.0,
         'AG':  0.0, 'AH': -2.0, 'AI': -2.0, 'AL': -2.0, 'AK': -1.0, 'AM': -1.0, 'AF': -3.0,
         'AP': -1.0, 'AS':  1.0, 'AT':  0.0, 'AW': -3.0, 'AY': -2.0, 'AV':  0.0, 'AB': -2.0,
         'AJ': -2.0, 'AZ': -1.0, 'AX': -1.0, 'A*': -6.0, 'RA': -2.0, 'RR':  6.0, 'RN': -1.0,
         'RD': -2.0, 'RC': -4.0, 'RQ':  1.0, 'RE': -1.0, 'RG': -3.0, 'RH':  0.0, 'RI': -3.0,
         'RL': -3.0, 'RK':  2.0, 'RM': -2.0, 'RF': -4.0, 'RP': -2.0, 'RS': -1.0, 'RT': -1.0,
         'RW': -4.0, 'RY': -3.0, 'RV': -3.0, 'RB': -1.0, 'RJ': -3.0, 'RZ':  0.0, 'RX': -1.0,
         'R*': -6.0, 'NA': -2.0, 'NR': -1.0, 'NN':  6.0, 'ND':  1.0, 'NC': -3.0, 'NQ':  0.0,
         'NE': -1.0, 'NG': -1.0, 'NH':  0.0, 'NI': -4.0, 'NL': -4.0, 'NK':  0.0, 'NM': -3.0,
         'NF': -4.0, 'NP': -3.0, 'NS':  0.0, 'NT':  0.0, 'NW': -4.0, 'NY': -3.0, 'NV': -4.0,
         'NB':  5.0, 'NJ': -4.0, 'NZ':  0.0, 'NX': -1.0, 'N*': -6.0, 'DA': -2.0, 'DR': -2.0,
         'DN':  1.0, 'DD':  6.0, 'DC': -4.0, 'DQ': -1.0, 'DE':  1.0, 'DG': -2.0, 'DH': -2.0,
         'DI': -4.0, 'DL': -5.0, 'DK': -1.0, 'DM': -4.0, 'DF': -4.0, 'DP': -2.0, 'DS': -1.0,
         'DT': -1.0, 'DW': -6.0, 'DY': -4.0, 'DV': -4.0, 'DB':  5.0, 'DJ': -5.0, 'DZ':  1.0,
         'DX': -1.0, 'D*': -6.0, 'CA': -1.0, 'CR': -4.0, 'CN': -3.0, 'CD': -4.0, 'CC':  9.0,
         'CQ': -4.0, 'CE': -5.0, 'CG': -4.0, 'CH': -4.0, 'CI': -2.0, 'CL': -2.0, 'CK': -4.0,
         'CM': -2.0, 'CF': -3.0, 'CP': -4.0, 'CS': -2.0, 'CT': -1.0, 'CW': -3.0, 'CY': -3.0,
         'CV': -1.0, 'CB': -4.0, 'CJ': -2.0, 'CZ': -4.0, 'CX': -1.0, 'C*': -6.0, 'QA': -1.0,
         'QR':  1.0, 'QN':  0.0, 'QD': -1.0, 'QC': -4.0, 'QQ':  6.0, 'QE':  2.0, 'QG': -2.0,
         'QH':  1.0, 'QI': -3.0, 'QL': -3.0, 'QK':  1.0, 'QM':  0.0, 'QF': -4.0, 'QP': -2.0,
         'QS':  0.0, 'QT': -1.0, 'QW': -3.0, 'QY': -2.0, 'QV': -3.0, 'QB':  0.0, 'QJ': -3.0,
         'QZ':  4.0, 'QX': -1.0, 'Q*': -6.0, 'EA': -1.0, 'ER': -1.0, 'EN': -1.0, 'ED':  1.0,
         'EC': -5.0, 'EQ':  2.0, 'EE':  6.0, 'EG': -3.0, 'EH':  0.0, 'EI': -4.0, 'EL': -4.0,
         'EK':  1.0, 'EM': -2.0, 'EF': -4.0, 'EP': -2.0, 'ES':  0.0, 'ET': -1.0, 'EW': -4.0,
         'EY': -3.0, 'EV': -3.0, 'EB':  1.0, 'EJ': -4.0, 'EZ':  5.0, 'EX': -1.0, 'E*': -6.0,
         'GA':  0.0, 'GR': -3.0, 'GN': -1.0, 'GD': -2.0, 'GC': -4.0, 'GQ': -2.0, 'GE': -3.0,
         'GG':  6.0, 'GH': -3.0, 'GI': -5.0, 'GL': -4.0, 'GK': -2.0, 'GM': -4.0, 'GF': -4.0,
         'GP': -3.0, 'GS': -1.0, 'GT': -2.0, 'GW': -4.0, 'GY': -4.0, 'GV': -4.0, 'GB': -1.0,
         'GJ': -5.0, 'GZ': -3.0, 'GX': -1.0, 'G*': -6.0, 'HA': -2.0, 'HR':  0.0, 'HN':  0.0,
         'HD': -2.0, 'HC': -4.0, 'HQ':  1.0, 'HE':  0.0, 'HG': -3.0, 'HH':  8.0, 'HI': -4.0,
         'HL': -3.0, 'HK': -1.0, 'HM': -2.0, 'HF': -2.0, 'HP': -3.0, 'HS': -1.0, 'HT': -2.0,
         'HW': -3.0, 'HY':  2.0, 'HV': -4.0, 'HB': -1.0, 'HJ': -4.0, 'HZ':  0.0, 'HX': -1.0,
         'H*': -6.0, 'IA': -2.0, 'IR': -3.0, 'IN': -4.0, 'ID': -4.0, 'IC': -2.0, 'IQ': -3.0,
         'IE': -4.0, 'IG': -5.0, 'IH': -4.0, 'II':  5.0, 'IL':  1.0, 'IK': -3.0, 'IM':  1.0,
         'IF': -1.0, 'IP': -4.0, 'IS': -3.0, 'IT': -1.0, 'IW': -3.0, 'IY': -2.0, 'IV':  3.0,
         'IB': -4.0, 'IJ':  3.0, 'IZ': -4.0, 'IX': -1.0, 'I*': -6.0, 'LA': -2.0, 'LR': -3.0,
         'LN': -4.0, 'LD': -5.0, 'LC': -2.0, 'LQ': -3.0, 'LE': -4.0, 'LG': -4.0, 'LH': -3.0,
         'LI':  1.0, 'LL':  4.0, 'LK': -3.0, 'LM':  2.0, 'LF':  0.0, 'LP': -3.0, 'LS': -3.0,
         'LT': -2.0, 'LW': -2.0, 'LY': -2.0, 'LV':  1.0, 'LB': -4.0, 'LJ':  3.0, 'LZ': -3.0,
         'LX': -1.0, 'L*': -6.0, 'KA': -1.0, 'KR':  2.0, 'KN':  0.0, 'KD': -1.0, 'KC': -4.0,
         'KQ':  1.0, 'KE':  1.0, 'KG': -2.0, 'KH': -1.0, 'KI': -3.0, 'KL': -3.0, 'KK':  5.0,
         'KM': -2.0, 'KF': -4.0, 'KP': -1.0, 'KS': -1.0, 'KT': -1.0, 'KW': -4.0, 'KY': -3.0,
         'KV': -3.0, 'KB': -1.0, 'KJ': -3.0, 'KZ':  1.0, 'KX': -1.0, 'K*': -6.0, 'MA': -1.0,
         'MR': -2.0, 'MN': -3.0, 'MD': -4.0, 'MC': -2.0, 'MQ':  0.0, 'ME': -2.0, 'MG': -4.0,
         'MH': -2.0, 'MI':  1.0, 'ML':  2.0, 'MK': -2.0,
         'MM':  6.0, 'MF':  0.0, 'MP': -3.0, 'MS': -2.0, 'MT': -1.0, 'MW': -2.0, 'MY': -2.0,
         'MV':  1.0, 'MB': -3.0, 'MJ':  2.0, 'MZ': -1.0, 'MX': -1.0, 'M*': -6.0, 'FA': -3.0,
         'FR': -4.0, 'FN': -4.0, 'FD': -4.0, 'FC': -3.0, 'FQ': -4.0, 'FE': -4.0, 'FG': -4.0,
         'FH': -2.0, 'FI': -1.0, 'FL':  0.0, 'FK': -4.0, 'FM':  0.0, 'FF':  6.0, 'FP': -4.0,
         'FS': -3.0, 'FT': -2.0, 'FW':  0.0, 'FY':  3.0, 'FV': -1.0, 'FB': -4.0, 'FJ':  0.0,
         'FZ': -4.0, 'FX': -1.0, 'F*': -6.0, 'PA': -1.0, 'PR': -2.0, 'PN': -3.0, 'PD': -2.0,
         'PC': -4.0, 'PQ': -2.0, 'PE': -2.0, 'PG': -3.0, 'PH': -3.0, 'PI': -4.0, 'PL': -3.0,
         'PK': -1.0, 'PM': -3.0, 'PF': -4.0, 'PP':  8.0, 'PS': -1.0, 'PT': -2.0, 'PW': -5.0,
         'PY': -4.0, 'PV': -3.0, 'PB': -2.0, 'PJ': -4.0, 'PZ': -2.0, 'PX': -1.0, 'P*': -6.0,
         'SA':  1.0, 'SR': -1.0, 'SN':  0.0, 'SD': -1.0, 'SC': -2.0, 'SQ':  0.0, 'SE':  0.0,
         'SG': -1.0, 'SH': -1.0, 'SI': -3.0, 'SL': -3.0, 'SK': -1.0, 'SM': -2.0, 'SF': -3.0,
         'SP': -1.0, 'SS':  5.0, 'ST':  1.0, 'SW': -4.0, 'SY': -2.0, 'SV': -2.0, 'SB':  0.0,
         'SJ': -3.0, 'SZ':  0.0, 'SX': -1.0, 'S*': -6.0, 'TA':  0.0, 'TR': -1.0, 'TN':  0.0,
         'TD': -1.0, 'TC': -1.0, 'TQ': -1.0, 'TE': -1.0, 'TG': -2.0, 'TH': -2.0, 'TI': -1.0,
         'TL': -2.0, 'TK': -1.0, 'TM': -1.0, 'TF': -2.0, 'TP': -2.0, 'TS':  1.0, 'TT':  5.0,
         'TW': -4.0, 'TY': -2.0, 'TV':  0.0, 'TB': -1.0, 'TJ': -1.0, 'TZ': -1.0, 'TX': -1.0,
         'T*': -6.0, 'WA': -3.0, 'WR': -4.0, 'WN': -4.0, 'WD': -6.0, 'WC': -3.0, 'WQ': -3.0,
         'WE': -4.0, 'WG': -4.0, 'WH': -3.0, 'WI': -3.0, 'WL': -2.0, 'WK': -4.0, 'WM': -2.0,
         'WF':  0.0, 'WP': -5.0, 'WS': -4.0, 'WT': -4.0, 'WW': 11.0, 'WY':  2.0, 'WV': -3.0,
         'WB': -5.0, 'WJ': -3.0, 'WZ': -3.0, 'WX': -1.0, 'W*': -6.0, 'YA': -2.0, 'YR': -3.0,
         'YN': -3.0, 'YD': -4.0, 'YC': -3.0, 'YQ': -2.0, 'YE': -3.0, 'YG': -4.0, 'YH':  2.0,
         'YI': -2.0, 'YL': -2.0, 'YK': -3.0, 'YM': -2.0, 'YF':  3.0, 'YP': -4.0, 'YS': -2.0,
         'YT': -2.0, 'YW':  2.0, 'YY':  7.0, 'YV': -2.0, 'YB': -3.0, 'YJ': -2.0, 'YZ': -3.0,
         'YX': -1.0, 'Y*': -6.0, 'VA':  0.0, 'VR': -3.0, 'VN': -4.0, 'VD': -4.0, 'VC': -1.0,
         'VQ': -3.0, 'VE': -3.0, 'VG': -4.0, 'VH': -4.0, 'VI':  3.0, 'VL':  1.0, 'VK': -3.0,
         'VM':  1.0, 'VF': -1.0, 'VP': -3.0, 'VS': -2.0, 'VT':  0.0, 'VW': -3.0, 'VY': -2.0,
         'VV':  4.0, 'VB': -4.0, 'VJ':  2.0, 'VZ': -3.0, 'VX': -1.0, 'V*': -6.0, 'BA': -2.0,
         'BR': -1.0, 'BN':  5.0, 'BD':  5.0, 'BC': -4.0, 'BQ':  0.0, 'BE':  1.0, 'BG': -1.0,
         'BH': -1.0, 'BI': -4.0, 'BL': -4.0, 'BK': -1.0, 'BM': -3.0, 'BF': -4.0, 'BP': -2.0,
         'BS':  0.0, 'BT': -1.0, 'BW': -5.0, 'BY': -3.0, 'BV': -4.0, 'BB':  5.0, 'BJ': -4.0,
         'BZ':  0.0, 'BX': -1.0, 'B*': -6.0, 'JA': -2.0, 'JR': -3.0, 'JN': -4.0, 'JD': -5.0,
         'JC': -2.0, 'JQ': -3.0, 'JE': -4.0, 'JG': -5.0, 'JH': -4.0, 'JI':  3.0, 'JL':  3.0,
         'JK': -3.0, 'JM':  2.0, 'JF':  0.0, 'JP': -4.0, 'JS': -3.0, 'JT': -1.0, 'JW': -3.0,
         'JY': -2.0, 'JV':  2.0, 'JB': -4.0, 'JJ':  3.0, 'JZ': -3.0, 'JX': -1.0, 'J*': -6.0,
         'ZA': -1.0, 'ZR':  0.0, 'ZN':  0.0, 'ZD':  1.0, 'ZC': -4.0, 'ZQ':  4.0, 'ZE':  5.0,
         'ZG': -3.0, 'ZH':  0.0, 'ZI': -4.0, 'ZL': -3.0, 'ZK':  1.0, 'ZM': -1.0, 'ZF': -4.0,
         'ZP': -2.0, 'ZS':  0.0, 'ZT': -1.0, 'ZW': -3.0, 'ZY': -3.0, 'ZV': -3.0, 'ZB':  0.0,
         'ZJ': -3.0, 'ZZ':  5.0, 'ZX': -1.0, 'Z*': -6.0, 'XA': -1.0, 'XR': -1.0, 'XN': -1.0,
         'XD': -1.0, 'XC': -1.0, 'XQ': -1.0, 'XE': -1.0, 'XG': -1.0, 'XH': -1.0, 'XI': -1.0,
         'XL': -1.0, 'XK': -1.0, 'XM': -1.0, 'XF': -1.0, 'XP': -1.0, 'XS': -1.0, 'XT': -1.0,
         'XW': -1.0, 'XY': -1.0, 'XV': -1.0, 'XB': -1.0, 'XJ': -1.0, 'XZ': -1.0, 'XX': -1.0,
         'X*': -6.0, '*A': -6.0, '*R': -6.0, '*N': -6.0, '*D': -6.0, '*C': -6.0, '*Q': -6.0,
         '*E': -6.0, '*G': -6.0, '*H': -6.0, '*I': -6.0, '*L': -6.0, '*K': -6.0, '*M': -6.0,
         '*F': -6.0, '*P': -6.0, '*S': -6.0, '*T': -6.0, '*W': -6.0, '*Y': -6.0, '*V': -6.0,
         '*B': -6.0, '*J': -6.0, '*Z': -6.0, '*X': -6.0, '**':  1.0},
    90: {'AA':  5.0, 'AR': -2.0, 'AN': -2.0, 'AD': -3.0, 'AC': -1.0, 'AQ': -1.0, 'AE': -1.0,
         'AG':  0.0, 'AH': -2.0, 'AI': -2.0, 'AL': -2.0, 'AK': -1.0, 'AM': -2.0, 'AF': -3.0,
         'AP': -1.0, 'AS':  1.0, 'AT':  0.0, 'AW': -4.0, 'AY': -3.0, 'AV': -1.0, 'AB': -2.0,
         'AJ': -2.0, 'AZ': -1.0, 'AX': -1.0, 'A*': -6.0, 'RA': -2.0, 'RR':  6.0, 'RN': -1.0,
         'RD': -3.0, 'RC': -5.0, 'RQ':  1.0, 'RE': -1.0, 'RG': -3.0, 'RH':  0.0, 'RI': -4.0,
         'RL': -3.0, 'RK':  2.0, 'RM': -2.0, 'RF': -4.0, 'RP': -3.0, 'RS': -1.0, 'RT': -2.0,
         'RW': -4.0, 'RY': -3.0, 'RV': -3.0, 'RB': -2.0, 'RJ': -3.0, 'RZ':  0.0, 'RX': -1.0,
         'R*': -6.0, 'NA': -2.0, 'NR': -1.0, 'NN':  7.0, 'ND':  1.0, 'NC': -4.0, 'NQ':  0.0,
         'NE': -1.0, 'NG': -1.0, 'NH':  0.0, 'NI': -4.0, 'NL': -4.0, 'NK':  0.0, 'NM': -3.0,
         'NF': -4.0, 'NP': -3.0, 'NS':  0.0, 'NT':  0.0, 'NW': -5.0, 'NY': -3.0, 'NV': -4.0,
         'NB':  5.0, 'NJ': -4.0, 'NZ': -1.0, 'NX': -1.0, 'N*': -6.0, 'DA': -3.0, 'DR': -3.0,
         'DN':  1.0, 'DD':  7.0, 'DC': -5.0, 'DQ': -1.0, 'DE':  1.0, 'DG': -2.0, 'DH': -2.0,
         'DI': -5.0, 'DL': -5.0, 'DK': -1.0, 'DM': -4.0, 'DF': -5.0, 'DP': -3.0, 'DS': -1.0,
         'DT': -2.0, 'DW': -6.0, 'DY': -4.0, 'DV': -5.0, 'DB':  5.0, 'DJ': -5.0, 'DZ':  1.0,
         'DX': -1.0, 'D*': -6.0, 'CA': -1.0, 'CR': -5.0, 'CN': -4.0, 'CD': -5.0, 'CC':  9.0,
         'CQ': -4.0, 'CE': -6.0, 'CG': -4.0, 'CH': -5.0, 'CI': -2.0, 'CL': -2.0, 'CK': -4.0,
         'CM': -2.0, 'CF': -3.0, 'CP': -4.0, 'CS': -2.0, 'CT': -2.0, 'CW': -4.0, 'CY': -4.0,
         'CV': -2.0, 'CB': -4.0, 'CJ': -2.0, 'CZ': -5.0, 'CX': -1.0, 'C*': -6.0, 'QA': -1.0,
         'QR':  1.0, 'QN':  0.0, 'QD': -1.0, 'QC': -4.0, 'QQ':  7.0, 'QE':  2.0, 'QG': -3.0,
         'QH':  1.0, 'QI': -4.0, 'QL': -3.0, 'QK':  1.0, 'QM':  0.0, 'QF': -4.0, 'QP': -2.0,
         'QS': -1.0, 'QT': -1.0, 'QW': -3.0, 'QY': -3.0, 'QV': -3.0, 'QB': -1.0, 'QJ': -3.0,
         'QZ':  5.0, 'QX': -1.0, 'Q*': -6.0, 'EA': -1.0, 'ER': -1.0, 'EN': -1.0, 'ED':  1.0,
         'EC': -6.0, 'EQ':  2.0, 'EE':  6.0, 'EG': -3.0, 'EH': -1.0, 'EI': -4.0, 'EL': -4.0,
         'EK':  0.0, 'EM': -3.0, 'EF': -5.0, 'EP': -2.0, 'ES': -1.0, 'ET': -1.0, 'EW': -5.0,
         'EY': -4.0, 'EV': -3.0, 'EB':  1.0, 'EJ': -4.0, 'EZ':  5.0, 'EX': -1.0, 'E*': -6.0,
         'GA':  0.0, 'GR': -3.0, 'GN': -1.0, 'GD': -2.0, 'GC': -4.0, 'GQ': -3.0, 'GE': -3.0,
         'GG':  6.0, 'GH': -3.0, 'GI': -5.0, 'GL': -5.0, 'GK': -2.0, 'GM': -4.0, 'GF': -5.0,
         'GP': -3.0, 'GS': -1.0, 'GT': -3.0, 'GW': -4.0, 'GY': -5.0, 'GV': -5.0, 'GB': -2.0,
         'GJ': -5.0, 'GZ': -3.0, 'GX': -1.0, 'G*': -6.0, 'HA': -2.0, 'HR':  0.0, 'HN':  0.0,
         'HD': -2.0, 'HC': -5.0, 'HQ':  1.0, 'HE': -1.0, 'HG': -3.0, 'HH':  8.0, 'HI': -4.0,
         'HL': -4.0, 'HK': -1.0, 'HM': -3.0, 'HF': -2.0, 'HP': -3.0, 'HS': -2.0, 'HT': -2.0,
         'HW': -3.0, 'HY':  1.0, 'HV': -4.0, 'HB': -1.0, 'HJ': -4.0, 'HZ':  0.0, 'HX': -1.0,
         'H*': -6.0, 'IA': -2.0, 'IR': -4.0, 'IN': -4.0, 'ID': -5.0, 'IC': -2.0, 'IQ': -4.0,
         'IE': -4.0, 'IG': -5.0, 'IH': -4.0, 'II':  5.0, 'IL':  1.0, 'IK': -4.0, 'IM':  1.0,
         'IF': -1.0, 'IP': -4.0, 'IS': -3.0, 'IT': -1.0, 'IW': -4.0, 'IY': -2.0, 'IV':  3.0,
         'IB': -5.0, 'IJ':  3.0, 'IZ': -4.0, 'IX': -1.0, 'I*': -6.0, 'LA': -2.0, 'LR': -3.0,
         'LN': -4.0, 'LD': -5.0, 'LC': -2.0, 'LQ': -3.0, 'LE': -4.0, 'LG': -5.0, 'LH': -4.0,
         'LI':  1.0, 'LL':  5.0, 'LK': -3.0, 'LM':  2.0, 'LF':  0.0, 'LP': -4.0, 'LS': -3.0,
         'LT': -2.0, 'LW': -3.0, 'LY': -2.0, 'LV':  0.0, 'LB': -5.0, 'LJ':  4.0, 'LZ': -4.0,
         'LX': -1.0, 'L*': -6.0, 'KA': -1.0, 'KR':  2.0, 'KN':  0.0, 'KD': -1.0, 'KC': -4.0,
         'KQ':  1.0, 'KE':  0.0, 'KG': -2.0, 'KH': -1.0, 'KI': -4.0, 'KL': -3.0, 'KK':  6.0,
         'KM': -2.0, 'KF': -4.0, 'KP': -2.0, 'KS': -1.0, 'KT': -1.0, 'KW': -5.0, 'KY': -3.0,
         'KV': -3.0, 'KB': -1.0, 'KJ': -3.0, 'KZ':  1.0, 'KX': -1.0, 'K*': -6.0, 'MA': -2.0,
         'MR': -2.0, 'MN': -3.0, 'MD': -4.0, 'MC': -2.0, 'MQ':  0.0, 'ME': -3.0, 'MG': -4.0,
         'MH': -3.0, 'MI':  1.0, 'ML':  2.0, 'MK': -2.0,
         'MM':  7.0, 'MF': -1.0, 'MP': -3.0, 'MS': -2.0, 'MT': -1.0, 'MW': -2.0, 'MY': -2.0,
         'MV':  0.0, 'MB': -4.0, 'MJ':  2.0, 'MZ': -2.0, 'MX': -1.0, 'M*': -6.0, 'FA': -3.0,
         'FR': -4.0, 'FN': -4.0, 'FD': -5.0, 'FC': -3.0, 'FQ': -4.0, 'FE': -5.0, 'FG': -5.0,
         'FH': -2.0, 'FI': -1.0, 'FL':  0.0, 'FK': -4.0, 'FM': -1.0, 'FF':  7.0, 'FP': -4.0,
         'FS': -3.0, 'FT': -3.0, 'FW':  0.0, 'FY':  3.0, 'FV': -2.0, 'FB': -4.0, 'FJ':  0.0,
         'FZ': -4.0, 'FX': -1.0, 'F*': -6.0, 'PA': -1.0, 'PR': -3.0, 'PN': -3.0, 'PD': -3.0,
         'PC': -4.0, 'PQ': -2.0, 'PE': -2.0, 'PG': -3.0, 'PH': -3.0, 'PI': -4.0, 'PL': -4.0,
         'PK': -2.0, 'PM': -3.0, 'PF': -4.0, 'PP':  8.0, 'PS': -2.0, 'PT': -2.0, 'PW': -5.0,
         'PY': -4.0, 'PV': -3.0, 'PB': -3.0, 'PJ': -4.0, 'PZ': -2.0, 'PX': -1.0, 'P*': -6.0,
         'SA':  1.0, 'SR': -1.0, 'SN':  0.0, 'SD': -1.0, 'SC': -2.0, 'SQ': -1.0, 'SE': -1.0,
         'SG': -1.0, 'SH': -2.0, 'SI': -3.0, 'SL': -3.0, 'SK': -1.0, 'SM': -2.0, 'SF': -3.0,
         'SP': -2.0, 'SS':  5.0, 'ST':  1.0, 'SW': -4.0, 'SY': -3.0, 'SV': -2.0, 'SB':  0.0,
         'SJ': -3.0, 'SZ': -1.0, 'SX': -1.0, 'S*': -6.0, 'TA':  0.0, 'TR': -2.0, 'TN':  0.0,
         'TD': -2.0, 'TC': -2.0, 'TQ': -1.0, 'TE': -1.0, 'TG': -3.0, 'TH': -2.0, 'TI': -1.0,
         'TL': -2.0, 'TK': -1.0, 'TM': -1.0, 'TF': -3.0, 'TP': -2.0, 'TS':  1.0, 'TT':  6.0,
         'TW': -4.0, 'TY': -2.0, 'TV': -1.0, 'TB': -1.0, 'TJ': -2.0, 'TZ': -1.0, 'TX': -1.0,
         'T*': -6.0, 'WA': -4.0, 'WR': -4.0, 'WN': -5.0, 'WD': -6.0, 'WC': -4.0, 'WQ': -3.0,
         'WE': -5.0, 'WG': -4.0, 'WH': -3.0, 'WI': -4.0, 'WL': -3.0, 'WK': -5.0, 'WM': -2.0,
         'WF':  0.0, 'WP': -5.0, 'WS': -4.0, 'WT': -4.0, 'WW': 11.0, 'WY':  2.0, 'WV': -3.0,
         'WB': -6.0, 'WJ': -3.0, 'WZ': -4.0, 'WX': -1.0, 'W*': -6.0, 'YA': -3.0, 'YR': -3.0,
         'YN': -3.0, 'YD': -4.0, 'YC': -4.0, 'YQ': -3.0, 'YE': -4.0, 'YG': -5.0, 'YH':  1.0,
         'YI': -2.0, 'YL': -2.0, 'YK': -3.0, 'YM': -2.0, 'YF':  3.0, 'YP': -4.0, 'YS': -3.0,
         'YT': -2.0, 'YW':  2.0, 'YY':  8.0, 'YV': -3.0, 'YB': -4.0, 'YJ': -2.0, 'YZ': -3.0,
         'YX': -1.0, 'Y*': -6.0, 'VA': -1.0, 'VR': -3.0, 'VN': -4.0, 'VD': -5.0, 'VC': -2.0,
         'VQ': -3.0, 'VE': -3.0, 'VG': -5.0, 'VH': -4.0, 'VI':  3.0, 'VL':  0.0, 'VK': -3.0,
         'VM':  0.0, 'VF': -2.0, 'VP': -3.0, 'VS': -2.0, 'VT': -1.0, 'VW': -3.0, 'VY': -3.0,
         'VV':  5.0, 'VB': -4.0, 'VJ':  1.0, 'VZ': -3.0, 'VX': -1.0, 'V*': -6.0, 'BA': -2.0,
         'BR': -2.0, 'BN':  5.0, 'BD':  5.0, 'BC': -4.0, 'BQ': -1.0, 'BE':  1.0, 'BG': -2.0,
         'BH': -1.0, 'BI': -5.0, 'BL': -5.0, 'BK': -1.0, 'BM': -4.0, 'BF': -4.0, 'BP': -3.0,
         'BS':  0.0, 'BT': -1.0, 'BW': -6.0, 'BY': -4.0, 'BV': -4.0, 'BB':  5.0, 'BJ': -5.0,
         'BZ':  0.0, 'BX': -1.0, 'B*': -6.0, 'JA': -2.0, 'JR': -3.0, 'JN': -4.0, 'JD': -5.0,
         'JC': -2.0, 'JQ': -3.0, 'JE': -4.0, 'JG': -5.0, 'JH': -4.0, 'JI':  3.0, 'JL':  4.0,
         'JK': -3.0, 'JM':  2.0, 'JF':  0.0, 'JP': -4.0, 'JS': -3.0, 'JT': -2.0, 'JW': -3.0,
         'JY': -2.0, 'JV':  1.0, 'JB': -5.0, 'JJ':  4.0, 'JZ': -4.0, 'JX': -1.0, 'J*': -6.0,
         'ZA': -1.0, 'ZR':  0.0, 'ZN': -1.0, 'ZD':  1.0, 'ZC': -5.0, 'ZQ':  5.0, 'ZE':  5.0,
         'ZG': -3.0, 'ZH':  0.0, 'ZI': -4.0, 'ZL': -4.0, 'ZK':  1.0, 'ZM': -2.0, 'ZF': -4.0,
         'ZP': -2.0, 'ZS': -1.0, 'ZT': -1.0, 'ZW': -4.0, 'ZY': -3.0, 'ZV': -3.0, 'ZB':  0.0,
         'ZJ': -4.0, 'ZZ':  5.0, 'ZX': -1.0, 'Z*': -6.0, 'XA': -1.0, 'XR': -1.0, 'XN': -1.0,
         'XD': -1.0, 'XC': -1.0, 'XQ': -1.0, 'XE': -1.0, 'XG': -1.0, 'XH': -1.0, 'XI': -1.0,
         'XL': -1.0, 'XK': -1.0, 'XM': -1.0, 'XF': -1.0, 'XP': -1.0, 'XS': -1.0, 'XT': -1.0,
         'XW': -1.0, 'XY': -1.0, 'XV': -1.0, 'XB': -1.0, 'XJ': -1.0, 'XZ': -1.0, 'XX': -1.0,
         'X*': -6.0, '*A': -6.0, '*R': -6.0, '*N': -6.0, '*D': -6.0, '*C': -6.0, '*Q': -6.0,
         '*E': -6.0, '*G': -6.0, '*H': -6.0, '*I': -6.0, '*L': -6.0, '*K': -6.0, '*M': -6.0,
         '*F': -6.0, '*P': -6.0, '*S': -6.0, '*T': -6.0, '*W': -6.0, '*Y': -6.0, '*V': -6.0,
         '*B': -6.0, '*J': -6.0, '*Z': -6.0, '*X': -6.0, '**':  1.0}}
